Skip to main content
GET
/
installments-plans
Get Installments Plans
curl --request GET \
  --url https://api-sandbox.y.uno/v1/installments-plans \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
[
  {
    "id": "4d573425-33f9-4c46-b009-2c7e749b0ec7",
    "name": "plan_007",
    "account_id": [
      "f7c5fe77-721b-49c2-84d3-957748df3c2c"
    ],
    "merchant_reference": "Test",
    "installments_plan": [
      {
        "installment": 1,
        "rate": 1,
        "provider_id": "",
        "amount": {
          "currency": "USD",
          "value": "0",
          "total_value": "0"
        }
      },
      {
        "installment": 3,
        "rate": 1,
        "provider_id": "",
        "financial_costs": [
          {
            "type": "CFT",
            "rate": 45.25,
            "formatted_value": "45,25%"
          },
          {
            "type": "TEA",
            "rate": 38.5,
            "formatted_value": "38,50%"
          }
        ],
        "amount": {
          "currency": "USD",
          "value": "0",
          "total_value": "0"
        }
      },
      {
        "installment": 6,
        "rate": 1,
        "provider_id": "",
        "amount": {
          "currency": "USD",
          "value": "0",
          "total_value": "0"
        }
      },
      {
        "installment": 9,
        "rate": 1,
        "provider_id": "",
        "amount": {
          "currency": "USD",
          "value": "0",
          "total_value": "0"
        }
      },
      {
        "installment": 12,
        "rate": 1,
        "provider_id": "",
        "amount": {
          "currency": "USD",
          "value": "0",
          "total_value": "0"
        }
      }
    ],
    "iin": null,
    "country_code": "US",
    "first_installment_deferral": 0,
    "amount": {
      "Currency": "USD",
      "min_value": 0,
      "max_value": 100000000
    },
    "availability": {
      "start_at": "2023-09-12T00:00:00Z",
      "finish_at": "2030-09-20T00:00:00Z"
    },
    "created_at": "2023-10-11T17:52:31.886178Z",
    "updated_at": "2023-10-11T17:52:31.886178Z"
  }
]
The Get Installments Plan API lets you retrieve a list of installment plans associated with a specific account. This endpoint helps view all available plans linked to an account, including their installment options, limits, and availability periods. Use this API to fetch all installment plans available under a particular account ID.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Query Parameters

account_id
string
required

The unique identifier of the account. Find it on the Yuno dashboard (UUID; 36 chars).

currency
string

Currency used for filtering plans (ISO 4217; 3 chars).

iin
string

[Optional] - The issuer identification number (IIN) refers to the first few digits of a payment card number issued by a financial institution (MAX 8; MIN 6). In case you defined an iin for the installments plan, you can use it to filter the response.

amount
string

[Optional] - The amount that the installment plan is available for. In case you defined an amount range for the installments plan, you can use it to filter the response.

Response

200

id
string
Example:

"4d573425-33f9-4c46-b009-2c7e749b0ec7"

name
string
Example:

"plan_007"

account_id
string[]
merchant_reference
string
Example:

"Test"

installments_plan
object[]
iin
any
country_code
string
Example:

"US"

first_installment_deferral
integer
default:0
Example:

0

amount
object
availability
object
created_at
string
Example:

"2023-10-11T17:52:31.886178Z"

updated_at
string
Example:

"2023-10-11T17:52:31.886178Z"